# H245_V76Capability Class Reference

`#include <h245.h>`

Inheritance diagram for H245_V76Capability:

List of all members.

## Public Member Functions

| H245_V76Capability (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

PASN_Boolean | m_suspendResumeCapabilitywAddress
PASN_Boolean | m_suspendResumeCapabilitywoAddress
PASN_Boolean | m_rejCapability
PASN_Boolean | m_sREJCapability
PASN_Boolean | m_mREJCapability
PASN_Boolean | m_crc8bitCapability
PASN_Boolean | m_crc16bitCapability
PASN_Boolean | m_crc32bitCapability
PASN_Boolean | m_uihCapability
PASN_Integer | m_numOfDLCS
PASN_Boolean | m_twoOctetAddressFieldCapability
PASN_Boolean | m_loopBackTestCapability
PASN_Integer | m_n401Capability
PASN_Integer | m_maxWindowSizeCapability
H245_V75Capability | m_v75Capability

## Constructor & Destructor Documentation

H245_V76Capability::H245_V76Capability | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H245_V76Capability::GetDataLength | ( |  | ) | const

PBoolean H245_V76Capability::Decode | ( | PASN_Stream & | strm | ) |

void H245_V76Capability::Encode | ( | PASN_Stream & | strm | ) | const

void H245_V76Capability::PrintOn | ( | ostream & | strm | ) | const

Comparison H245_V76Capability::Compare | ( | const PObject & | obj | ) | const

PObject* H245_V76Capability::Clone | ( |  | ) | const

## Member Data Documentation

PASN_Boolean H245_V76Capability::m_suspendResumeCapabilitywAddress

PASN_Boolean H245_V76Capability::m_suspendResumeCapabilitywoAddress

PASN_Boolean H245_V76Capability::m_rejCapability

PASN_Boolean H245_V76Capability::m_sREJCapability

PASN_Boolean H245_V76Capability::m_mREJCapability

PASN_Boolean H245_V76Capability::m_crc8bitCapability

PASN_Boolean H245_V76Capability::m_crc16bitCapability

PASN_Boolean H245_V76Capability::m_crc32bitCapability

PASN_Boolean H245_V76Capability::m_uihCapability

PASN_Integer H245_V76Capability::m_numOfDLCS

PASN_Boolean H245_V76Capability::m_twoOctetAddressFieldCapability

PASN_Boolean H245_V76Capability::m_loopBackTestCapability

PASN_Integer H245_V76Capability::m_n401Capability

PASN_Integer H245_V76Capability::m_maxWindowSizeCapability

H245_V75Capability H245_V76Capability::m_v75Capability

The documentation for this class was generated from the following file:

- h245.h